Name:           kte-collaborative
Version:        0.0.95
Release:        5%{?dist}
Summary:        Collaborative text editing in KTextEditor via KDE Telepathy

# Any later version of GPL and LGPL accepted by the membership of KDE e.V.
# (or its successor approved by the membership of KDE e.V.)
License:        GPLv2+ and LGPLv2+
URL:            https://projects.kde.org/projects/playground/network/kte-collaborative

Source0:        http://download.kde.org/unstable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         kte-collaborative-versioned-sonames.patch
Patch1:         kte-collaborative-fix-kde-410-build.patch

BuildRequires:  cmake
BuildRequires:  kdelibs-devel
BuildRequires:  libinfinity-devel
BuildRequires:  libgsasl-devel
BuildRequires:  libqinfinity-devel
BuildRequires:  telepathy-qt4-devel
BuildRequires:  ktp-common-internals-devel
BuildRequires:  infinoted

Requires:       infinoted

%description
A plugin for KTextEditor which allows to edit text documents collaboratively


%prep
%setup -q

%patch0 -p1 -b .sonames
%patch1 -p1 -b .kde410

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
%make_install -C %{_target_platform}
rm %{buildroot}/%{_kde4_libdir}/*.so

%files
%doc AUTHORS COPYING README
%{_kde4_libdir}/*.so.*
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/kde4/apps/*
%{_kde4_datadir}/kde4/services/*.protocol
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/ktp/*
%{_kde4_datadir}/telepathy/clients/*.client
%{_kde4_datadir}/dbus-1/services/*.service
%{_kde4_libexecdir}/*


%changelog
* Thu Aug 29 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-5
 - add missing BR
 - fix build against KDE 4.10

* Wed Aug 28 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-4
 - versioned sonames (backported an upstream patch)

* Tue Aug 27 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-3
 - add LGPLv2+ license

* Tue Aug 27 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-2
 - add infinoted to BR

* Tue Aug 27 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-1
 - kte-collaborative 0.0.95
